From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1641054-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id BDBC715817D
	for <garchives@archives.gentoo.org>; Mon, 10 Jun 2024 18:57:27 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id E90E5E2A79;
	Mon, 10 Jun 2024 18:57:26 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [140.211.166.183])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id BF9FEE2A38
	for <gentoo-commits@lists.gentoo.org>; Mon, 10 Jun 2024 18:57:26 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id B2CD933BEE8
	for <gentoo-commits@lists.gentoo.org>; Mon, 10 Jun 2024 18:57:25 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 24EC81C56
	for <gentoo-commits@lists.gentoo.org>; Mon, 10 Jun 2024 18:57:24 +0000 (UTC)
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Michał Górny" <mgorny@gentoo.org>
Message-ID: <1718045836.8520437bc7ed0a43a6b124323a9c9449a68d5daf.mgorny@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/testtools/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-python/testtools/testtools-2.7.2.ebuild
X-VCS-Directories: dev-python/testtools/
X-VCS-Committer: mgorny
X-VCS-Committer-Name: Michał Górny
X-VCS-Revision: 8520437bc7ed0a43a6b124323a9c9449a68d5daf
X-VCS-Branch: master
Date: Mon, 10 Jun 2024 18:57:24 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: d635a481-5c16-48fb-9ff7-9d3fc2481328
X-Archives-Hash: 760b1046d546e11300ed641af78cea9e

commit:     8520437bc7ed0a43a6b124323a9c9449a68d5daf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 10 18:17:53 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 10 18:57:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8520437b

dev-python/testtools: Enable py3.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/testtools/testtools-2.7.2.ebuild | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/dev-python/testtools/testtools-2.7.2.ebuild b/dev-python/testtools/testtools-2.7.2.ebuild
index 9236369b209a..ff9231e8d803 100644
--- a/dev-python/testtools/testtools-2.7.2.ebuild
+++ b/dev-python/testtools/testtools-2.7.2.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
 PYTHON_REQ_USE="threads(+)"
 
 inherit distutils-r1 pypi
@@ -27,13 +27,20 @@ BDEPEND="
 		>=dev-python/fixtures-2.0.0[${PYTHON_USEDEP}]
 		dev-python/testscenarios[${PYTHON_USEDEP}]
 		dev-python/testresources[${PYTHON_USEDEP}]
-		dev-python/twisted[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep '
+			dev-python/twisted[${PYTHON_USEDEP}]
+		' 3.{10..12})
 	)
 "
 
 distutils_enable_sphinx doc
 
 python_test() {
-	"${PYTHON}" -m testtools.run testtools.tests.test_suite ||
+	cp testtools/tests/__init__.py test_suite.py || die
+	if ! has_version "dev-python/twisted[${PYTHON_USEDEP}]"; then
+		sed -i -e '/twistedsupport/d' test_suite.py || die
+	fi
+
+	"${EPYTHON}" -m testtools.run test_suite.test_suite ||
 		die "tests failed under ${EPYTHON}"
 }